libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_close(
        mpq_archive_s  *mpq_archive
);

DESCRIPTION

Call libmpq__archive_close() to close a mpq archive which was opened by libmpq__archive_open(). The function frees the archive structure itself and the contents of it.

The libmpq__archive_close() function one takes one argument of the archive structure mpq_archive which has to be set by libmpq__archive_open.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_CLOSE
    The given file could not be closed.

SEE ALSO
libmpq__archive_open(3), libmpq__archive_packed_size(3), libmpq__archive_unpacked_size(3), libmpq__archive_offset(3), libmpq__archive_version(3), libmpq__archive_files(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.